git-am: minor cleanups

Update usage statement to remove a no-longer supported option, and to hide two
options (one a no-op, one internal) unless --help-all is used.

Use "test -t 0" instead of "tty -s" to detect when stdin is a terminal. (test
-t 0 is used elsewhere in git-am and in other git shell scripts, tty -s is
not, and appears to be deprecated by POSIX)

Use "test ..." instead of "[ ... ]" and "die <msg>" instead of "echo <msg>
>&2; exit 1" to be consistent with rest of script.

Signed-off-by: Jay Soffian <jaysoffian@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
This commit is contained in:
Jay Soffian 2009-01-28 10:03:10 -05:00 committed by Junio C Hamano
parent d04099382b
commit 98ef23b3b1

View File

@ -8,9 +8,8 @@ OPTIONS_SPEC="\
git am [options] [<mbox>|<Maildir>...] git am [options] [<mbox>|<Maildir>...]
git am [options] (--resolved | --skip | --abort) git am [options] (--resolved | --skip | --abort)
-- --
d,dotest= (removed -- do not use)
i,interactive run interactively i,interactive run interactively
b,binary (historical option -- no-op) b,binary* (historical option -- no-op)
3,3way allow fall back on 3way merging if needed 3,3way allow fall back on 3way merging if needed
s,signoff add a Signed-off-by line to the commit message s,signoff add a Signed-off-by line to the commit message
u,utf8 recode into utf8 (default) u,utf8 recode into utf8 (default)
@ -24,7 +23,7 @@ resolvemsg= override error message when patch failure occurs
r,resolved to be used after a patch failure r,resolved to be used after a patch failure
skip skip the current patch skip skip the current patch
abort restore the original branch and abort the patching operation. abort restore the original branch and abort the patching operation.
rebasing (internal use for git-rebase)" rebasing* (internal use for git-rebase)"
. git-sh-setup . git-sh-setup
prefix=$(git rev-parse --show-prefix) prefix=$(git rev-parse --show-prefix)
@ -204,7 +203,7 @@ then
# unreliable -- stdin could be /dev/null for example # unreliable -- stdin could be /dev/null for example
# and the caller did not intend to feed us a patch but # and the caller did not intend to feed us a patch but
# wanted to continue unattended. # wanted to continue unattended.
tty -s test -t 0
;; ;;
*) *)
false false
@ -280,10 +279,7 @@ fi
case "$resolved" in case "$resolved" in
'') '')
files=$(git diff-index --cached --name-only HEAD --) || exit files=$(git diff-index --cached --name-only HEAD --) || exit
if [ "$files" ]; then test "$files" && die "Dirty index: cannot apply patches (dirty: $files)"
echo "Dirty index: cannot apply patches (dirty: $files)" >&2
exit 1
fi
esac esac
if test "$(cat "$dotest/utf8")" = t if test "$(cat "$dotest/utf8")" = t